EECH Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000051EECHCrash / Freezepublic2011-11-13 22:302014-05-17 12:26
ReporterOlds 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP
Product Version 
Target VersionFixed in Version1.15 
Summary0000051: Adding lines to (EXPLOS) CSV causes crash on exit (1.14.0)
DescriptionAdding lines to CSV files (well, EXPLOS.CSV anyway) works but causes a crash right as/after the game exits.
Steps To Reproduce1. Edit EXPLOS.CSV by, say, adding a new SPRITES row to an existing effect
2. Run the game (the CSV changes work)
3. Exit the game
4. Get a crash window after the game exits
Additional InformationI'd call this medium low priority and severity because, while it's a crash bug, it only appears to happen right as you exit the game.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

- Relationships

-  Notes
(0000038)
Olds (reporter)
2011-11-18 02:22

Well, I'm going to call it medium+ priority since I'm not going to be able to release my planned sprite-effects update until this bug is resolved. (It wouldn't be very nice to give everyone a new effects update that causes a crash). :D
(0000039)
Olds (reporter)
2011-11-18 23:57

It's almost as if there are a maximum number of lines of text allowed in EXPLOS.CSV. New lines will not cause a crash if an equal(?) number of existing lines are removed.

- Issue History
Date Modified Username Field Change
2011-11-13 22:30 Olds New Issue
2011-11-18 02:22 Olds Note Added: 0000038
2011-11-18 23:57 Olds Note Added: 0000039
2013-05-02 10:20 anonymous Note Added: 0000258
2014-05-17 12:26 thealx Status new => resolved
2014-05-17 12:26 thealx Resolution open => fixed
2014-05-17 12:26 thealx Fixed in Version => 1.15


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker